<template>
  <PostItem 
    v-for="(post, idx) of posts"
    :v-key="post.id"
    v-bind:post="post" 
  ></PostItem>
</template>

<script>
import { mapStores, mapState } from 'pinia'
import { usePostsStore } from '@/stores/posts'
import PostItem from './PostItem.vue'

export default {
    name: "PostList",
    computed: {
        ...mapStores(usePostsStore),
        ...mapState(usePostsStore, ["posts"])
    },
    mounted() {
        this.postsStore.fetchPosts();
    },
    components: { PostItem }
}
</script>
